@use "@angular/material" as mat;
@use "sass:math";
@import "abstracts/abstracts";

:host {
  .toolbar {
    padding: 0 10px;
    display: flex;
    justify-content: space-between;
    background-color: $background-grey;
    flex-flow: row wrap;
    color: $text-color;
    height: $main-toolbar-height;

    @include respond-to-breakpoint('md') {
      padding: 0;
    }

    .left-part {
      display: flex;
      align-items: center;

      .logo {
        padding: 0 10px;
        align-self: center;

        .instance-logo-wrapper {
          max-height: 50px;
          cursor: pointer;

          .instance-logo {
            height: 40px;
          }
        }
      }

      .search-bar {
        padding: 0 10px;
        @include respond-to-smaller-than-breakpoint('lg') {
          padding: 0;
        }

        @include respond-to-smaller-than-breakpoint('md') {
          display: none;
        }

        &::ng-deep {
          font-size: 12px;
          @include mat.all-component-densities(-2);

          .mat-mdc-text-field-wrapper .mat-mdc-form-field-flex .mat-mdc-floating-label {
            top: 20px;
          }

          .mat-mdc-form-field {
            width: 200px;

            @include respond-to-breakpoint('md') {
              width: 150px;
            }

            .mat-mdc-form-field-subscript-wrapper {
              display: none;
            }

            .mat-mdc-form-field-infix {
              @include truncate-with-ellipsis;
            }

            .mat-mdc-floating-label.mdc-floating-label {
              display: inline !important;
            }

            .mat-mdc-text-field-wrapper {
              height: 38px;
              padding-right: 0;
            }

            .mat-mdc-form-field-icon-suffix {
              margin-right: 0;

              .mdc-icon-button {
                display: grid;
                align-items: center;
                justify-content: center;
                height: 30px !important;
                width: 30px !important;
                top: -2px;

                solidify-icon {
                  top: -11px;
                  @include icon-important(14px);

                  > .icon {
                    @include icon-important(14px);
                  }
                }
              }
            }
          }
        }
      }
    }

    .right-part {
      display: flex;
      align-items: center;
      justify-content: space-between;
      align-self: center;
      flex-flow: row wrap;

      .menu {
        .menu-item {
          display: flex;
          align-items: center;

          a {
            color: $text-color;
            display: flex;
            align-items: center;
            padding: 0 10px;
            cursor: pointer;

            .icon {
              margin-right: 10px;
            }

            .badge {
              .mat-badge-content {
                right: -15px;
              }
            }

            .text {
              font-size: 12px;
            }

            &.is-active {
              color: $primary-color;
              cursor: initial;

              .text {
                text-decoration: underline;
              }
            }

            &:hover {
              color: $primary-color;
            }
          }
        }
      }

      .separator {
        height: 30px;
        width: 1px;
        background-color: $medium-light-grey;
        margin: 0 10px;
      }

      .cart {
        .cart-icon {
          overflow: initial;
        }
      }

      .language-selector {
        width: 20px;
        height: 20px;
        padding: 10px;

        ::ng-deep .selected-language-img {
          filter: none;
          padding: 0;
          max-width: 14px;
          max-height: 14px;
        }
      }

      .login {
        cursor: pointer;
        padding: 0 10px;
        display: flex;
        justify-content: center;
        align-items: center;
      }
    }
  }
}

@include isInDarkMode {
  .toolbar {
    background-color: $dark-mode-toolbar;
    color: $dark-mode-text-color;

    .right-part {
      .separator {
        background-color: $dark-mode-line;
      }

      .menu {
        .menu-item {
          a:not(.is-active):not(:hover) {
            color: $dark-mode-text-color;
          }
        }
      }
    }
  }
}
